Author Topic: Considering stopping VirtueMart from future updates [ANSWERED]  (Read 229 times)

OriyanJ

  • Jr. Member
  • **
  • Posts: 83
  • A beginner
My website is at a point I have way too much customization to apply. Some things have a built-in solution and some don't.
The question I'm trying to ask, is it safe to just hack the entire VirtueMart core and forget about ever updating it again?
VirtueMart 3.2.2

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 26428
  • Always on vacation
    • Jenkin Hill Internet
Re: Considering stopping VirtueMart from future updates
« Reply #1 on: August 13, 2017, 10:48:35 am »
Simple answer: No, never hack the core.  Any customisations should be made using overrides or developing a plugin.  If you decide never to update VM again, what will happen when there is a vital security update to Joomla (and we have seen a lot of these recently) that change a function used by VM so that your store stops working. VM is regularly updated to be able to function with latest Joomla releases, eg to solve changes between Joomla 3.6.5 and Joomla 3.7.1 an updated VM was issued, with a warning to update VM before the essential Joomla update.  http://virtuemart.net/news/latest-news/480-security-release-of-joomla-3-7-be-prepared
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM3.2.10 on Joomla 3.8.3 PHP 7.0.25

Testing VM3.2.10.9700 on J3.8.3

OriyanJ

  • Jr. Member
  • **
  • Posts: 83
  • A beginner
Re: Considering stopping VirtueMart from future updates
« Reply #2 on: August 13, 2017, 10:51:59 am »
Alright, that answer was very clear. Thank you, I will forget about such considerations.
VirtueMart 3.2.2